Files
--url 'https://updow.lat/api/files/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
--url 'https://updow.lat/api/files/{file_id}' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| uuid | Required String | - |
| chunk_index | Required Integer | - |
| total_chunks | Required Integer | - |
| file_name | Required String | - |
| file | Required File | - |
| password | Optional String | - |
| file_encryption_is_enabled | Optional Boolean | - |
--url 'https://updow.lat/files/create_api' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'uuid=de09be56-639f-4213-863b-5ea1aa065970' \
--form 'chunk_index=0' \
--form 'total_chunks=1' \
--form 'file_name=example.pdf' \
--form 'file=example.pdf' \
--url 'https://updow.lat/api/files/{file_id}' \
--header 'Authorization: Bearer {api_key}' \